package:
  name: sohviewer
  version: 2023.1.0.0

source:
  path: ../

build:
  noarch: python
  script: {{ PYTHON }} -m pip install . --no-deps -vv

requirements:
  build:
    - python >=3.9
    - pip
  run:
    - python >=3.9
    - numpy>=1.23.0
    - obspy >=1.3.0
    - PySide2
    - matplotlib>=3.5.0

test:
  source_files:
    - tests
    - sohstationviewer/database/soh.db
  commands:
    - python -m unittest

about:
  home: https://www.passcal.nmt.edu/content/software-resources
  dev_url: https://git.passcal.nmt.edu/software_public/passoft/sohstationviewer
  license: GPLv3
  license_file: LICENSE
  summary: Visualize State-of-Health packets from raw data recorded by different type of dataloggers.
